com.hazelcast.logging

## Class Log4j2Factory.Log4j2Logger

- java.lang.Object
- - com.hazelcast.logging.AbstractLogger
  - - com.hazelcast.logging.Log4j2Factory.Log4j2Logger

- All Implemented Interfaces:
    ILogger
  Enclosing class:
    Log4j2Factory

      @PrivateApi
      public static class Log4j2Factory.Log4j2Logger
      extends AbstractLogger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Log4j2Logger(org.apache.logging.log4j.spi.ExtendedLogger logger)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Level` | `getLevel()` Gets the logging level.
    `boolean` | `isLoggable(Level level)` Checks if a message at the given level is going to be logged by this logger.
    `void` | `log(Level level, String message)` Logs a message at the given level.
    `void` | `log(Level level, String message, Throwable thrown)` Logs a message with an associated throwable at the given level.
    `void` | `log(LogEvent logEvent)` Logs a LogEvent.

    - ### Methods inherited from class com.hazelcast.logging.AbstractLogger

      `fine, fine, fine, finest, finest, finest, info, info, info, isFineEnabled, isFinestEnabled, isInfoEnabled, isSevereEnabled, isWarningEnabled, severe, severe, severe, warning, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log4j2Logger

          public Log4j2Logger(org.apache.logging.log4j.spi.ExtendedLogger logger)

  - ### Method Detail

    - #### log

          public void log(LogEvent logEvent)

      Description copied from interface: `ILogger`
      Logs a LogEvent.
      Parameters:
        `logEvent` - the logEvent to log

    - #### log

          public void log(Level level,
                          String message)

      Description copied from interface: `ILogger`
      Logs a message at the given level.
      Parameters:
        `level` - the log level
        `message` - the message to log

    - #### log

          public void log(Level level,
                          String message,
                          Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the given level.
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### getLevel

          public Level getLevel()

      Description copied from interface: `ILogger`
      Gets the logging level.
      Returns:
        the logging level

    - #### isLoggable

          public boolean isLoggable(Level level)

      Description copied from interface: `ILogger`
      Checks if a message at the given level is going to be logged by this logger.
      Parameters:
        `level` - the log level
      Returns:
        true if this logger will log messages for the given level, false otherwise

Copyright © 2019. All rights reserved.